Subject: Re: ARCH=ppc or ARCH=powerpc

From: Matt Porter <[email-masked]>
Date: Thu, 24 Aug 2006 08:26:10 -0500

On Thu, Aug 24, 2006 at 08:07:20AM -0500, Josh Boyer wrote:
> On Thu, 2006-08-24 at 14:58 +0200, Benjamin Delagoutte wrote:
> > What about the includes ? Do I have to use only include/asm-ppc or are
> > include/asm-powerpc necessary as well ?
> 
> I believe there are some hacks in the makefiles to pull common asm files
> from include/asm-powerpc when needed.  Basically, you should be able to
> just do:
> 
> #include <asm/foo.h>
> 
> and it should work.  If you're adding new .h files, I suppose asm-ppc is
> the place to add them for now.  That's just my opinion though :)

That's what I would recommend too. If this is for an out-of-tree custom
port then there's no real concern anyway.

-Matt